"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const constant_1 = require("../common/constant");
function getSvgLoader() {
    return ({
        test: constant_1.SVG_REGEX,
        use: {
            loader: require.resolve('svg-url-loader'),
            options: {
                // make all svg images to work in IE
                iesafe: true
            }
        },
        type: 'javascript/auto'
    });
}
exports.default = getSvgLoader;
;
