"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const constant_1 = require("../common/constant");
const paths_1 = __importDefault(require("../paths"));
function getTsLoader(rcb) {
    let include = [
        paths_1.default.src
    ];
    return ({
        test: constant_1.TS_REGEX,
        include,
        use: [
            {
                loader: require.resolve('esbuild-loader'),
                options: {
                    loader: 'tsx',
                    target: 'es2015',
                    tsconfigRaw: require(paths_1.default.appTsConfig)
                }
            }
        ]
    });
}
exports.default = getTsLoader;
