export default function getJestConfig(): {
    moduleFileExtensions: string[];
    moduleNameMapper: {
        '\\.(css|less|sass|scss|stylus)$': string;
    };
    testPathIgnorePatterns: string[];
    transform: {
        '^.+\\.(js|jsx|ts|tsx)$': (string | {
            configFile: string;
        })[];
        '^.+\\.(css|less|sass|scss|stylus)$': string;
        '^(?!.*\\.(js|jsx|ts|tsx|css|less|sass|scss|stylus|json)$)': string;
    };
    verbose: boolean;
    testEnvironment: string;
};
