import { RcbConfig } from '../getConfig';
import { TS_REGEX } from '../common/constant';
import paths from '../paths';

export default function getTsLoader(rcb: RcbConfig) {
    let include = [
        paths.src
    ];

    return ({
        test: TS_REGEX,
        include,
        use: [
            {
                loader: require.resolve('esbuild-loader'),
                options: {
                    loader: 'tsx',
                    target: 'es2015',
                    tsconfigRaw: require(paths.appTsConfig)
                }
            }
        ]
    });
}
