import open from 'open';
import utils from './utils';

export default async function openBrower(url: string) {
    try {
        open(url, {wait: false});
    }
    catch (e: any) {
        utils.error(e);
        return Promise.reject(e);
    }
};
